Loading...
Searching...
No Matches
Magick::DrawablePopClipPath Class Reference
Inheritance diagram for Magick::DrawablePopClipPath:

## Public Member Functions

void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const

## Private Attributes

::ssize_t | _dummy

## Detailed Description

Definition at line 537 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawablePopClipPath()

Magick::DrawablePopClipPath::DrawablePopClipPath | ( | void |  | ) |

inline

Definition at line 540 of file Drawable.h.

: _dummy(0)
{
}

## ~DrawablePopClipPath()

Magick::DrawablePopClipPath::~DrawablePopClipPath | ( | void |  | ) |

Definition at line 395 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawablePopClipPath::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 403 of file Drawable.cpp.

{
return new DrawablePopClipPath(*this);
}

## operator()()

void Magick::DrawablePopClipPath::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 398 of file Drawable.cpp.

{
DrawPopClipPath( context_ );
DrawPopDefs(context_);
}

## Field Documentation

## _dummy

::ssize_t Magick::DrawablePopClipPath::_dummy

private

Definition at line 554 of file Drawable.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/Drawable.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Drawable.cpp